StarFileManagerInternal::SfxMultiRecord Struct Reference documentation

StarFileManagerInternal::SfxMultiRecord Struct Reference

Internal: a structure use to read SfxMultiRecord zone of a StarFileManager. More...

## Public Member Functions
| SfxMultiRecord (StarZone &zone)
| constructor
bool | open ()
| try to open a zone
void | close (std::string const &wh)
| try to close a zone
int | getHeaderTag () const
| returns the header tag or -1
bool | getNewContent (std::string const &wh)
| try to go to the new content positon
long | getLastContentPosition () const
| returns the last content position

## Protected Attributes
StarZone & | m_zone
| the main zone
unsigned char | m_zoneType
| the zone type
bool | m_zoneOpened
| true if a SfxRecord has been opened
uint8_t | m_headerType
| the record type
uint8_t | m_headerVersion
| the header version
uint16_t | m_headerTag
| the header tag
uint16_t | m_actualRecord
| the actual record
uint16_t | m_numRecord
| the number of record
uint32_t | m_contentSize
| the record/content/pos size
long | m_startPos
| the start of data position
long | m_endPos
| the end of data position
std::vector< uint32_t > | m_offsetList
| the list of (offset + type)
std::string | m_extra
| extra data

## Private Member Functions
| SfxMultiRecord (SfxMultiRecord const &orig)
SfxMultiRecord & | operator= (SfxMultiRecord const &orig)

## Friends
std::ostream & | operator<< (std::ostream &o, SfxMultiRecord const &r)
| basic operator<< ; print header data

## Detailed Description

Internal: a structure use to read SfxMultiRecord zone of a StarFileManager.

## Constructor & Destructor Documentation

## ◆ SfxMultiRecord() [1/2]

StarFileManagerInternal::SfxMultiRecord::SfxMultiRecord | ( | StarZone & | zone | ) |
| inlineexplicit

constructor

Referenced by operator<<, operator=(), and SfxMultiRecord().

## ◆ SfxMultiRecord() [2/2]

StarFileManagerInternal::SfxMultiRecord::SfxMultiRecord | ( | SfxMultiRecord const & | orig | ) |
| private

## Member Function Documentation

## ◆ close()

void StarFileManagerInternal::SfxMultiRecord::close | ( | std::string const & | wh | ) |
| inline

try to close a zone

## ◆ getHeaderTag()

int StarFileManagerInternal::SfxMultiRecord::getHeaderTag | ( |  | ) | const
| inline

returns the header tag or -1

## ◆ getLastContentPosition()

long StarFileManagerInternal::SfxMultiRecord::getLastContentPosition | ( |  | ) | const
| inline

returns the last content position

Referenced by getNewContent().

## ◆ getNewContent()

bool StarFileManagerInternal::SfxMultiRecord::getNewContent | ( | std::string const & | wh | ) |
| inline

try to go to the new content positon

## ◆ open()

bool StarFileManagerInternal::SfxMultiRecord::open | ( |  | ) |
| inline

try to open a zone

## ◆ operator=()

SfxMultiRecord & StarFileManagerInternal::SfxMultiRecord::operator= | ( | SfxMultiRecord const & | orig | ) |
| private

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SfxMultiRecord const & | r )
| friend

basic operator<< ; print header data

## Member Data Documentation

## ◆ m_actualRecord

uint16_t StarFileManagerInternal::SfxMultiRecord::m_actualRecord
| protected

the actual record

Referenced by getLastContentPosition(), getNewContent(), open(), and SfxMultiRecord().

## ◆ m_contentSize

uint32_t StarFileManagerInternal::SfxMultiRecord::m_contentSize
| protected

the record/content/pos size

Referenced by getLastContentPosition(), open(), operator<<, and SfxMultiRecord().

## ◆ m_endPos

long StarFileManagerInternal::SfxMultiRecord::m_endPos
| protected

the end of data position

Referenced by close(), getLastContentPosition(), getNewContent(), open(), and SfxMultiRecord().

## ◆ m_extra

std::string StarFileManagerInternal::SfxMultiRecord::m_extra
| protected

extra data

Referenced by open(), operator<<, and SfxMultiRecord().

## ◆ m_headerTag

uint16_t StarFileManagerInternal::SfxMultiRecord::m_headerTag
| protected

the header tag

Referenced by getHeaderTag(), open(), operator<<, and SfxMultiRecord().

## ◆ m_headerType

uint8_t StarFileManagerInternal::SfxMultiRecord::m_headerType
| protected

the record type

Referenced by getLastContentPosition(), getNewContent(), open(), operator<<, and SfxMultiRecord().

## ◆ m_headerVersion

uint8_t StarFileManagerInternal::SfxMultiRecord::m_headerVersion
| protected

the header version

Referenced by open(), operator<<, and SfxMultiRecord().

## ◆ m_numRecord

uint16_t StarFileManagerInternal::SfxMultiRecord::m_numRecord
| protected

the number of record

Referenced by getLastContentPosition(), open(), operator<<, and SfxMultiRecord().

## ◆ m_offsetList

std::vector<uint32_t> StarFileManagerInternal::SfxMultiRecord::m_offsetList
| protected

the list of (offset + type)

Referenced by getLastContentPosition(), open(), operator<<, and SfxMultiRecord().

## ◆ m_startPos

long StarFileManagerInternal::SfxMultiRecord::m_startPos
| protected

the start of data position

Referenced by getLastContentPosition(), open(), and SfxMultiRecord().

## ◆ m_zone

StarZone& StarFileManagerInternal::SfxMultiRecord::m_zone
| protected

the main zone

Referenced by close(), getNewContent(), open(), and SfxMultiRecord().

## ◆ m_zoneOpened

bool StarFileManagerInternal::SfxMultiRecord::m_zoneOpened
| protected

true if a SfxRecord has been opened

Referenced by close(), getHeaderTag(), open(), operator<<, and SfxMultiRecord().

## ◆ m_zoneType

unsigned char StarFileManagerInternal::SfxMultiRecord::m_zoneType
| protected

the zone type

Referenced by close(), open(), and SfxMultiRecord().

The documentation for this struct was generated from the following file:

- StarFileManager.cxx